### Method

# GLib BookmarkFile set_title

since: 2.12

#### Declaration [src]

    void
    g_bookmark_file_set_title (
      GBookmarkFile* bookmark,
      const gchar* uri,
      const gchar* title
    )

#### Description [src]

Sets `title` as the title of the bookmark for `uri` inside the bookmark file `bookmark`.

If `uri` is `NULL`, the title of `bookmark` is set.

If a bookmark for `uri` cannot be found then it is created.

Available since: 2.12

#### Parameters

`uri`

  Type: `const gchar*`

  A valid URI or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`title`

  Type: `const gchar*`

  A UTF-8 encoded string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.